curl --request GET \
--url https://app.tagadapay.com/api/public/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'{
"order": {
"id": "ord_123",
"status": "paid",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"email": "john@example.com",
"name": "John Doe"
},
"items": [
{
"id": "li_123",
"quantity": 1,
"orderLineItemProduct": {
"name": "Premium Plan"
}
}
]
}
}Retrieve detailed information about a specific order including line items, payments, and customer data
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/orders/{orderId} \
--header 'Authorization: Bearer <token>'{
"order": {
"id": "ord_123",
"status": "paid",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"email": "john@example.com",
"name": "John Doe"
},
"items": [
{
"id": "li_123",
"quantity": 1,
"orderLineItemProduct": {
"name": "Premium Plan"
}
}
]
}
}